## progress-linux 20190101

=== Makefile ===
# Copyright (C) 2010-2019 Daniel Baumann <daniel.baumann@progress-linux.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := progress-linux

all: build

clean: clean-pgp clean-ssh

clean-pgp:
	# clean pgp keyrings
	rm -f pgp-keys/*/*.gpg
	rm -f pgp-keys/*.gpg

clean-ssh:
	# clean ssh keyrings
	rm -f ssh-keys/*.pub

build: build-pgp build-ssh

build-pgp: pgp-keys/*/*.pub
	# build pgp keyrings
	for KEY in $$(ls pgp-keys/*/*.pub); \
	do \
		OUTPUT="$$(dirname $${KEY})/$$(basename $${KEY} .pub).gpg"; \
		echo "Creating $${OUTPUT}..."; \
		gpg --output $${OUTPUT} --dearmor $${KEY}; \
	done

	for DIRECTORY in $$(ls -d pgp-keys/*/); \
	do \
		OUTPUT="pgp-keys/$$(basename $${DIRECTORY}).gpg"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.gpg); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

build-ssh: ssh-keys/*/*.pub
	# build ssh keyrings
	for DIRECTORY in $$(ls -d ssh-keys/*/); \
	do \
		OUTPUT="ssh-keys/$$(basename $${DIRECTORY}).pub"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pub); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

test: test-pgp test-ssh

test-pgp: pgp-keys/*/*.sig
	# test pgp keyrings
	for SIG in $$(ls pgp-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
	done

test-ssh: ssh-keys/*/*.sig
	# test ssh keyrings
	for SIG in $$(ls ssh-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
	done

install: install-doc install-man install-pgp install-ssh

install-doc:
	# install doc
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man:
	# install manpages
	for SECTION in $$(seq 1 8); \
	do \
		if ls manpages/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp manpages/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

install-pgp: build-pgp
	# install pgp keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	cp pgp-keys/*.gpg $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys

install-ssh: build-ssh
	# install ssh keyrings
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys

uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh

uninstall-doc:
	# uninstall doc
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)

uninstall-man:
	# uninstall manpages
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in manpages/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

uninstall-pgp:
	# uninstall pgp keyrings
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	-rmdir --parents $(DESTDIR)/usr/share/$(PROJECT)

uninstall-ssh:
	# uninstall ssh keyrings
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT)

reinstall: clean uninstall build install

=== debian/changelog ===
progress-linux (20190101-11) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #947137).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 22:06:20 +0100

progress-linux (20190101-10) sid; urgency=medium

  * Uploading to sid.
  * Adding updated debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #945388).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 08 Dec 2019 21:47:44 +0100

progress-linux (20190101-9) sid; urgency=medium

  * Uploading to sid.
  * Using pin priority 100 for backports if the corresponding base release
    has not been selected in progress-linux apt sources handling.
  * Updating to standards version 4.4.1.
  * Switching to deb822 format for apt sources lists.
  * Generalizing debconf handling.
  * Adding mirror selection.
  * Adding todo file.
  * Using codenames as upload targets in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Nov 2019 17:35:40 +0100

progress-linux (20190101-8) sid; urgency=medium

  * Uploading to sid.
  * Remove apt keyring leftover symlink, not required anymore by using
    signed-by now.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Sep 2019 22:09:04 +0200

progress-linux (20190101-7) sid; urgency=medium

  * Uploading to sid.
  * Using signed-by in sources.list instead of symlinking keyring into apt
    keyring.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Sep 2019 21:52:58 +0200

progress-linux (20190101-6) sid; urgency=medium

  * Uploading to sid.
  * Symlinking archive key instead of copying it.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Aug 2019 15:36:55 +0200

progress-linux (20190101-5) sid; urgency=medium

  * Uploading to sid.
  * Adding provides to progress-linux-gpg-keys.
  * Updating to standards version 4.4.0.
  * Generalizing distribution handling in debconf.
  * Adding support for Progress Linux 6 (fuchur).
  * Handling /etc/debian_version on Progress Linux backports
    distributions.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Jul 2019 21:20:06 +0200

progress-linux (20190101-4) sid; urgency=medium

  * Uploading to sid.
  * Adding initial French debconf translations from Jean-Pierre Giraud
    <jean-pierregiraud@neuf.fr> (Closes: #923380).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Feb 2019 21:57:52 +0100

progress-linux (20190101-3) sid; urgency=medium

  * Uploading to sid.
  * Harmonizing package descriptions.
  * Updating URL in watch file.
  * Removing overwriting of the default values in debconf handling.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Feb 2019 03:14:11 +0100

progress-linux (20190101-2) sid; urgency=medium

  * Uploading to sid.
  * Silencing rmdir in postrm.
  * Using cdn redirector as default sources.list entry.
  * Updating upstream download urls.
  * Dynamically showing distribution specific repositories to setup.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #922231).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #922480).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Feb 2019 18:46:29 +0100

progress-linux (20190101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190101.
  * Updating debhelper files for new upstream version.
  * Adding upstream signing key.
  * Updating package descriptions.
  * Building with dh_missing --fail-missing.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 06 Feb 2019 21:35:22 +0100

progress-linux (20181201-4) sid; urgency=high

  * Uploading to sid.
  * Removing apt-transport-https from depends, it's now a transitional
    package and not needed anymore.
  * Adding intial German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #921144).
  * Adding initial Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #921219).
  * Adding multi-arch fields in control.
  * Adding enhances fields in control.
  * Adding entry about target distribution to changelog.
  * Adding watch file.
  * Updating source url in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Feb 2019 06:23:04 +0100

progress-linux (20181201-3) sid; urgency=medium

  * Uploading to sid.
  * Moving TODO file into upstream.
  * Disabling test for now as it needs proper handling of the gnupg
    homedir for buildds first.
  * Adding enhances field.
  * Splitting choices for translation in debconf templates.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jan 2019 03:34:24 +0100

progress-linux (20181201-2) sid; urgency=medium

  * Uploading to sid.
  * Adding support for restricted archive area.
  * Removing superfluous whitespace in archive areas when configuring apt
    sources.list entries.
  * Updating debconf priorities from low to high.
  * Showing archive areas debconf question only when at least one archive
    has previously been selected.
  * Installing all available apt keys.
  * Adding ssh_known_hosts handling.
  * Generalizing config script.
  * Generalizing postinst script.
  * Adding postrm script to remove apt and ssh configuration.
  * Updating TODO file.
  * Updating package description.
  * Updating debconf templates.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jan 2019 21:04:15 +0100

progress-linux (20181201-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jan 2019 05:29:25 +0100

=== debian/control ===
Source: progress-linux
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 12),
 gnupg,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://progress-linux.org
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux

Package: progress-linux
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ca-certificates,
 progress-linux-pgp-keys,
 progress-linux-ssh-keys,
 ${misc:Depends},
Enhances:
 apt,
 openssh-server,
Description: Progress Linux - Setup
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package allows one to setup the Progress Linux apt archives and ssh
 cert-authority to the current system.

Package: progress-linux-pgp-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 progress-linux-gpg-keys,
Enhances:
 apt,
Description: Progress Linux - PGP Keys
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package contains the PGP keys used to verify digital signatures on
 packages and images.

Package: progress-linux-ssh-keys
Section: admin
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Enhances:
 openssh-server,
Description: Progress Linux - SSH Keys
 Progress Linux is a Debian derivative distribution focused on system
 integration.
 .
 This package contains the SSH keys used to verify digital signatures on host
 keys.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_test:
	# disabled

override_dh_auto_install:
	dh_auto_install

	# removing useless files
	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

override_dh_missing:
	dh_missing --fail-missing

## progress-linux 20210101

=== debian/changelog ===
progress-linux (20210101-2) sid; urgency=medium

  * Uploading to sid.
  * Adding initial Brazilian Portuguese debconf translations from Jorge
    Neto <jorge.fln20@gmail.com> and Adriano Rafael Gomes
    <adrianorg@debian.org> (Closes: #986501).
  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #987667).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Jul 2021 09:14:43 +0200

progress-linux (20210101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210101.
  * Updating years in copyright file for 2021.
  * Updating to standards version 4.5.1.
  * Switching from cdn.deb.progress-linux.org to deb.progress-linux.org as main
    redirector address.
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 15:53:47 +0100

progress-linux (20201001-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20201001.
  * Sharpening generated apt preferences by using both origin and suite
    values for pinning.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 01 Oct 2020 18:51:31 +0200

progress-linux (20190101-14) sid; urgency=medium

  * Uploading to sid.
  * Adding updated Portuguese debconf translations from Américo Monteiro
    <a_monteiro@gmx.com> (Closes: #962406).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 14 Jun 2020 11:16:42 +0200

progress-linux (20190101-13) sid; urgency=medium

  * Uploading to sid.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Apr 2020 14:10:13 +0200

progress-linux (20190101-12) sid; urgency=medium

  * Uploading to sid.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Adding updated Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #951441).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 21 Mar 2020 15:38:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 override_dh_auto_test:
 	# disabled
 
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	# removing useless files
 	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt

## progress-linux 20211008

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2019 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
progress-linux (20211008-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211008.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 08 Oct 2021 20:17:14 +0200

progress-linux (20210101-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Making distribution detection and version handling more robust.
  * Adding support for Debian 12 (bookworm).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 27 Aug 2021 06:18:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux

## progress-linux 20221212

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -13,11 +13,14 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
 SHELL := sh -e
 
 PROJECT := progress-linux
+SOFTWARE := progress-linux
+
+VERSION := $(shell cat VERSION.txt)
 
 all: build
 
@@ -87,8 +90,8 @@
 
 install-doc:
 	# install doc
-	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
-	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)
+	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
+	cp *.txt $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 install-man:
 	# install manpages
@@ -103,19 +106,19 @@
 
 install-pgp: build-pgp
 	# install pgp keyrings
-	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
-	cp pgp-keys/*.gpg $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
+	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)/pgp-keys
+	cp pgp-keys/*.gpg $(DESTDIR)/usr/share/$(SOFTWARE)/pgp-keys
 
 install-ssh: build-ssh
 	# install ssh keyrings
-	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
-	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
+	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)/ssh-keys
+	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(SOFTWARE)/ssh-keys
 
 uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh
 
 uninstall-doc:
 	# uninstall doc
-	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
+	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 
 uninstall-man:
 	# uninstall manpages
@@ -130,12 +133,36 @@
 
 uninstall-pgp:
 	# uninstall pgp keyrings
-	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
-	-rmdir --parents $(DESTDIR)/usr/share/$(PROJECT)
+	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/pgp-keys
+	-rmdir --parents $(DESTDIR)/usr/share/$(SOFTWARE)
 
 uninstall-ssh:
 	# uninstall ssh keyrings
-	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
-	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT)
+	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/ssh-keys
+	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE)
 
 reinstall: clean uninstall build install
+
+distclean: clean
+	rm -rf $(SOFTWARE)-$(VERSION)
+
+release: distclean
+	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
+	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
+
+	mkdir -p $(SOFTWARE)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;
+
+	for FORMAT in xz lzip; \
+	do \
+		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
+		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
+		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 0x3E6CA28DAAF8DD14 --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
+	done
+
+	rm -rf $(SOFTWARE)-$(VERSION)
+
+upload:
+	scp ../$(SOFTWARE)-$(VERSION).* get.progress-linux.org:/srv/get.progress-linux.org/packages/$(SOFTWARE)/upstream

=== debian/changelog ===
progress-linux (20221212-3) sid; urgency=medium

  * Uploading to sid.
  * Adding non-free-firmware archive area.
  * Adding support for Progress Linux 9.0 (illuan).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 15:36:08 +0100

progress-linux (20221212-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Adding updated Brazilian Portuguese debconf translations from Paulo
    Henrique de Lima Santana (phls) <phls@debian.org> (Closes: #1028012).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 18 Jan 2023 09:55:45 +0100

progress-linux (20221212-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221212.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Dec 2022 11:17:29 +0100

progress-linux (20221001-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221001.
  * Updating to standards-version 4.6.1.
  * Updating copyright notices for 2022.
  * Using https links in GPL reference in copyright.
  * Correcting wording of ssh-keys package description.
  * Fixing incomplete graograman support.
  * Adding support for Progress Linux 8 (horok).
  * Relaxing wording in comments in rules.
  * Correcting file pattern for key files in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 10:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
@@ -59,5 +59,4 @@
  Progress Linux is a Debian derivative distribution focused on system
  integration.
  .
- This package contains the SSH keys used to verify digital signatures on host
- keys.
+ This package contains the SSH keys used for hosts and maintainers.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.progress-linux.org/packages/progress-linux/upstream/progress-linux-(.+)\.tar\.lz

## progress-linux 20240420

=== debian/changelog ===
progress-linux (20240420-4) sid; urgency=medium

  * Uploading to sid.
  * Using dot after major version in progress-linux version handling for
    consistency.
  * Adding legacy handling for non-free/non-free-firmware archive areas so
    that the same package can be used on all support releases.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 28 Apr 2024 13:16:26 +0200

progress-linux (20240420-3) sid; urgency=medium

  * Uploading to sid.
  * Updating depends to pgp-keys to ensure keyring names in debconf
    handling match the names of the nenamed keyring.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Apr 2024 17:45:27 +0200

progress-linux (20240420-2) sid; urgency=medium

  * Uploading to sid.
  * Using all archive areas for test repositories.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Apr 2024 17:37:06 +0200

progress-linux (20240420-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20240420.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Updating keyring filename for new upstream version.
  * Updating version strings for backports suites to match current schema.
  * Adding test repositories to debconf selection.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Apr 2024 17:25:10 +0200

## progress-linux 20250601

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2010-2022 Daniel Baumann <daniel.baumann@progress-linux.org>
+# Copyright (C) 2010-2024 Daniel Baumann <daniel.baumann@progress-linux.org>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -75,7 +75,7 @@
 	for SIG in $$(ls pgp-keys/*/*.sig); \
 	do \
 		echo "Verifying $${SIG}..."; \
-		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
+		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --keyring /usr/share/keyrings/debian-maintainers.gpg --verify $${SIG}; \
 	done
 
 test-ssh: ssh-keys/*/*.sig
@@ -83,7 +83,7 @@
 	for SIG in $$(ls ssh-keys/*/*.sig); \
 	do \
 		echo "Verifying $${SIG}..."; \
-		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --verify $${SIG}; \
+		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.gpg --keyring /usr/share/keyrings/debian-maintainers.gpg --verify $${SIG}; \
 	done
 
 install: install-doc install-man install-pgp install-ssh

=== debian/changelog ===
progress-linux (20250601-3) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2025 09:18:18 +0200

progress-linux (20250601-2) sid; urgency=medium

  * Also supporting pre-releases with major version only in their
    derivative files.
  * Removing support for pre-trixie/pre-horok releases.
  * Adding support for duke/jicha releases.
  * Using static path of progress-linux_version file instead of dynamic
    path wrt/ base-files/os-identification.

 -- Daniel Baumann <daniel@debian.org>  Thu, 04 Sep 2025 08:32:19 +0200

progress-linux (20250601-1) sid; urgency=medium

  * Correcting public-domain identifier in copyright.
  * Merging upstream version 20250601.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Jun 2025 15:48:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  gnupg,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://progress-linux.org
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
@@ -17,7 +17,7 @@
 Multi-Arch: foreign
 Depends:
  ca-certificates,
- progress-linux-pgp-keys,
+ progress-linux-pgp-keys (>= 20240420),
  progress-linux-ssh-keys,
  ${misc:Depends},
 Enhances:

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	# disabled
 
 execute_after_dh_auto_install:
-	# removing useless files
+	# removing unused files
 	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
 	rm -f debian/tmp/usr/share/doc/*/VERSION.txt

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://apt.progress-linux.org/archive/upstream/progress-linux/progress-linux-(.+)\.tar\.lz

## progress-linux 20260205

=== Makefile ===
# Progress Linux

# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT := progress-linux
VERSION := $(shell cat VERSION.txt)

all: build

clean: clean-man clean-pgp clean-ssh

clean-man:
	$(MAKE) -C man clean

clean-pgp:
	rm -f pgp-keys/*/*.pgp
	rm -f pgp-keys/*.pgp

clean-ssh:
	rm -f ssh-keys/*.pub

build: build-man build-pgp build-ssh

build-man:
	$(MAKE) -C man build

build-pgp: pgp-keys/*/*.pub
	for KEY in $$(ls pgp-keys/*/*.pub); \
	do \
		OUTPUT="$$(dirname $${KEY})/$$(basename $${KEY} .pub).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		gpg --output $${OUTPUT} --dearmor $${KEY}; \
	done

	for DIRECTORY in $$(ls -d pgp-keys/*/); \
	do \
		OUTPUT="pgp-keys/$$(basename $${DIRECTORY}).pgp"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pgp); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

build-ssh: ssh-keys/*/*.pub
	for DIRECTORY in $$(ls -d ssh-keys/*/); \
	do \
		OUTPUT="ssh-keys/$$(basename $${DIRECTORY}).pub"; \
		echo "Creating $${OUTPUT}..."; \
		for KEY in $$(ls $${DIRECTORY}/*.pub); \
		do \
			cat $${KEY} >> $${OUTPUT}; \
		done; \
	done

test: test-pgp test-ssh

test-pgp: pgp-keys/*/*.sig
	for SIG in $$(ls pgp-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

test-ssh: ssh-keys/*/*.sig
	for SIG in $$(ls ssh-keys/*/*.sig); \
	do \
		echo "Verifying $${SIG}..."; \
		gpg --no-default-keyring --keyring /usr/share/keyrings/debian-keyring.pgp --keyring /usr/share/keyrings/debian-maintainers.pgp --verify $${SIG}; \
	done

install: install-doc install-man install-pgp install-ssh

install-doc:
	mkdir -p $(DESTDIR)/usr/share/doc/$(PROJECT)
	cp *.txt $(DESTDIR)/usr/share/doc/$(PROJECT)

install-man: build-man
	for SECTION in $$(seq 1 8); \
	do \
		if ls man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

install-pgp: build-pgp
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	cp pgp-keys/*.pgp $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys

install-ssh: build-ssh
	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	cp ssh-keys/*.pub $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys

uninstall: uninstall-doc uninstall-man uninstall-pgp uninstall-ssh
	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

uninstall-doc:
	rm -rf $(DESTDIR)/usr/share/doc/$(PROJECT)
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true

uninstall-man:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

uninstall-pgp:
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/pgp-keys
	-rmdir --parents $(DESTDIR)/usr/share/$(PROJECT)

uninstall-ssh:
	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/ssh-keys
	-rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(PROJECT)

reinstall: clean uninstall build install

release: clean
	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true

	mkdir -p $(PROJECT)-$(VERSION)
	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(PROJECT)-$(VERSION) -exec cp \-a {} $(PROJECT)-$(VERSION) \;

	for FORMAT in xz lzip; \
	do \
		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
		tar --$${FORMAT} -cf ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} $(PROJECT)-$(VERSION); \
		sha512sum ../$(PROJECT)-$(VERSION).tar.$${EXTENSION} > ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sha512; \
		gpg --default-key 00xFBB4F0E80A80222 --armor -b ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}; \
		mv ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.asc ../$(PROJECT)-$(VERSION).tar.$${EXTENSION}.sig; \
	done

	rm -rf $(PROJECT)-$(VERSION)

upload:
	scp ../$(PROJECT)-$(VERSION).* apt.progress-linux.org:/srv/apt.progress-linux.org/archive/upstream/$(PROJECT)

=== man/Makefile ===
# Progress Linux

# Copyright (C) 2006-2026 Daniel Baumann <daniel@debian.org>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Depends: python3-docutils

RST2MAN = rst2man \
	--no-datestamp \
	--no-generator \
	--strict \
	--strip-comments \
	--tab-width=4 \
	--verbose

VERSION := $(shell cat ../VERSION.txt)

SHELL := sh -e

all: build

build: man

rebuild: clean build

man: man.in *.rst
	@echo -n "Creating manpages... "

	@for FILE in *.rst; \
	do \
		cp man.in $$(basename $${FILE} .rst); \
		$(RST2MAN) $${FILE} | \
		sed	-e '/^.\\" Man page generated/d' \
			-e '/^.\\" Generated by/d' \
			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} progress-linux |" \
		>> $$(basename $${FILE} .rst); \
		echo -n "."; \
	done

	@echo " done."

clean:
	rm -f *.[0-9]

.PHONY: all clean build rebuild man

=== debian/changelog ===
progress-linux (20260205-1) sid; urgency=medium

  * Merging upstream version 20260205.
  * Harmonizing email addresses.
  * Removing Rules-Requires-Root, not needed anymore.
  * Updating to standards version 4.7.3.
  * Updating vcs fields.
  * Updating copyright file.
  * Updating upstream sigining-key.
  * Adding initial Catalan debconf translations from Carles Pina i Estany
    <carles@pina.cat> (Closes: #1119653).
  * Refreshing templates.pot.
  * Updating watch file to version 5.
  * Switching keyrings extension from gpg to pgp.
  * Removing manual dh_missing in rules, default now.

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Feb 2026 20:49:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: progress-linux
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  gnupg,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://progress-linux.org
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/progress-linux
+Vcs-Browser: https://git.progress-linux.org/debian/progress-linux
+Vcs-Git: https://git.progress-linux.org/debian/progress-linux
 
 Package: progress-linux
 Section: admin
@@ -17,7 +16,7 @@
 Multi-Arch: foreign
 Depends:
  ca-certificates,
- progress-linux-pgp-keys (>= 20240420),
+ progress-linux-pgp-keys (>= 20260205),
  progress-linux-ssh-keys,
  ${misc:Depends},
 Enhances:
@@ -36,8 +35,6 @@
 Multi-Arch: foreign
 Depends:
  ${misc:Depends},
-Provides:
- progress-linux-gpg-keys,
 Enhances:
  apt,
 Description: Progress Linux - PGP Keys

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 	rm -f debian/tmp/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/tmp/usr/share/doc/*/LICENSE.txt
 	rm -f debian/tmp/usr/share/doc/*/VERSION.txt
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
Version: 5

Source: https://apt.progress-linux.org/archive/upstream/@PACKAGE@
